%define debug_package %{nil}

%define	System	mac
%define Vol	Volatility3

Summary:	Volatility 3 Mac Symbols - These are the Operating System kernel Symbols for Volatility 3

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		Volatility3-%{System}-symbols
Version:	20200601
Release:	1
URL:		https://downloads.volatilityfoundation.org/volatility3/symbols

BuildArch:	noarch

License:	GPL

Group:		Applications/Forensics Tools
Source0:	%{Vol}-%{System}-symbols-%{version}.zip

BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
Requires:	unzip
Requires:	Volatility3

%description
These are the Mac Operating System Symbols for Volatility 3

%prep
%setup -c -T

%build 
echo Nothing to make

%install
%{__install} -d -m755 %{buildroot}%{_datadir}/%{Vol}/symbols
%{__install} %{SOURCE0} %{buildroot}%{_datadir}/%{Vol}/symbols

%post
cd %{_datadir}/%{Vol}/symbols
unzip -q %(basename %{SOURCE0})

%preun
%{__rm} -rf %{_datadir}/%{Vol}/symbols/%{System}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%{_datadir}/%{Vol}/symbols/%(basename %{SOURCE0})

%changelog
* Mon Jun  1 2020 Lawrence R. Rogers <lrr@cert.org> 20200601-1
* Release 20200601-1
	Mac Operating System Symbols for Volatility 3 from 20200601.

* Wed Oct 16  2019 Lawrence R. Rogers <lrr@cert.org> 20191016-1
* Release 20191016-1
	Mac Operating System Symbols for Volatility 3 from 20191016.
